package com.ssj.bean.course.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/** 
 * @author  ZhangCaibao 
 * @version 2018年10月18日 下午3:09:30 
 * 类说明  订单明细
 */
@Entity
@Table(name="tb_course_series_order")
public class CourseSeriesOrder extends BaseEntity {

	
	
	  /**
	 * 
	 */
	private static final long serialVersionUID = -6051374552019013315L;
	/**
     * 订单编号
     */
	
    private String orderNo;
    /**
     * 订单ID
     */
    private String orderId;
    
    
    /**
	 * 课程系列id
	 */
	private String courseSeriesId;
	
	/**
	 * 图书馆
	 */
	private String libId;
	
	 /**
	   * 创建时间
	   */
   private Date createTime;
   /**
    * 开始时间
    */
   private Date startTime;
   /**
    * 结束时间
    */
   private Date endTime;
   
   /**
    * 价格
    */
   private BigDecimal price;
   /**
    * 下单人
    */
   private String userId;
   
   /**
    * 1收费，2免费
    */
   private Integer type;
   
   /**
    * 1有效，2无效
    */
   private Integer stat;

public String getOrderNo() {
	return orderNo;
}

public void setOrderNo(String orderNo) {
	this.orderNo = orderNo;
}

public String getOrderId() {
	return orderId;
}

public void setOrderId(String orderId) {
	this.orderId = orderId;
}

public String getCourseSeriesId() {
	return courseSeriesId;
}

public void setCourseSeriesId(String courseSeriesId) {
	this.courseSeriesId = courseSeriesId;
}

public String getLibId() {
	return libId;
}

public void setLibId(String libId) {
	this.libId = libId;
}
@Column(updatable=false)
public Date getCreateTime() {
	return createTime;
}

public void setCreateTime(Date createTime) {
	this.createTime = createTime;
}

public Date getStartTime() {
	return startTime;
}

public void setStartTime(Date startTime) {
	this.startTime = startTime;
}

public Date getEndTime() {
	return endTime;
}

public void setEndTime(Date endTime) {
	this.endTime = endTime;
}

public BigDecimal getPrice() {
	return price;
}

public void setPrice(BigDecimal price) {
	this.price = price;
}

public String getUserId() {
	return userId;
}

public void setUserId(String userId) {
	this.userId = userId;
}

public Integer getType() {
	return type;
}

public void setType(Integer type) {
	this.type = type;
}

public Integer getStat() {
	return stat;
}

public void setStat(Integer stat) {
	this.stat = stat;
}
   
   
}
